kdecore Library: KCmdLineOptions Struct Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KCmdLineOptions Struct Reference

Structure that holds command line options. More...

`#include <kcmdlineargs.h>`

List of all members.

## Public Attributes
const char * | name
const char * | description
const char * | def

## Detailed Description

Structure that holds command line options.

This class is intended to be used with the KCmdLineArgs class, which provides convenient and powerful command line argument parsing and handling functionality.

See also:
  KCmdLineArgs for additional usage information

Definition at line 40 of file kcmdlineargs.h.

## Member Data Documentation

const char* KCmdLineOptions::name

| The name of the argument as it should be called on the command line and appear in myapp --help. Note that if this option starts with "no" that you will need to test for the name without the "no" and the result will be the inverse of what is specified. i.e. if "nofoo" is the name of the option and myapp --nofoo is called:
     KCmdLineArgs::parsedArgs()->isSet("foo"); // false
Definition at line 55 of file kcmdlineargs.h. Referenced by KCmdLineArgs::usage().

const char* KCmdLineOptions::description

| The text description of the option as should appear in myapp --help. This value should be wrapped with I18N_NOOP(). Definition at line 60 of file kcmdlineargs.h. Referenced by KCmdLineArgs::usage().

const char* KCmdLineOptions::def

| The default value for the option, if it is not specified on the command line. Definition at line 65 of file kcmdlineargs.h. Referenced by KCmdLineArgs::usage().

The documentation for this struct was generated from the following file:

- kcmdlineargs.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:21 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003